    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------------
    028     * IntervalXYZDataset.java
    029     * -----------------------
    030     * (C) Copyright 2001-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 31-Oct-2001 : Version 1 (DG);
    038     *
    039     */
    040
    041    package org.jfree.data.xy;
    042
    043    /**
    044     * An extension of the {@link XYZDataset} interface that allows a range of data
    045     * to be defined for any of the X values, the Y values, and the Z values.
    046     */
    047    public interface IntervalXYZDataset extends XYZDataset {
    048
    049        /**
    050         * Returns the starting X value for the specified series and item.
    051         *
    052         * @param series  the series (zero-based index).
    053         * @param item  the item within a series (zero-based index).
    054         *
    055         * @return The starting X value for the specified series and item.
    056         */
    057        public Number getStartXValue(int series, int item);
    058
    059        /**
    060         * Returns the ending X value for the specified series and item.
    061         *
    062         * @param series  the series (zero-based index).
    063         * @param item  the item within a series (zero-based index).
    064         *
    065         * @return The ending X value for the specified series and item.
    066         */
    067        public Number getEndXValue(int series, int item);
    068
    069        /**
    070         * Returns the starting Y value for the specified series and item.
    071         *
    072         * @param series  the series (zero-based index).
    073         * @param item  the item within a series (zero-based index).
    074         *
    075         * @return The starting Y value for the specified series and item.
    076         */
    077        public Number getStartYValue(int series, int item);
    078
    079        /**
    080         * Returns the ending Y value for the specified series and item.
    081         *
    082         * @param series  the series (zero-based index).
    083         * @param item  the item within a series (zero-based index).
    084         *
    085         * @return The ending Y value for the specified series and item.
    086         */
    087        public Number getEndYValue(int series, int item);
    088
    089        /**
    090         * Returns the starting Z value for the specified series and item.
    091         *
    092         * @param series  the series (zero-based index).
    093         * @param item  the item within a series (zero-based index).
    094         *
    095         * @return The starting Z value for the specified series and item.
    096         */
    097        public Number getStartZValue(int series, int item);
    098
    099        /**
    100         * Returns the ending Z value for the specified series and item.
    101         *
    102         * @param series  the series (zero-based index).
    103         * @param item  the item within a series (zero-based index).
    104         *
    105         * @return The ending Z value for the specified series and item.
    106         */
    107        public Number getEndZValue(int series, int item);
    108
    109    }